c
c common for datacard values
c
c card    variable   
c
c rnmode  run_mode     i  1= offline mode 
c                         2= online mode (overrides other datacards)
c
c intyp   in_typ       i  1= input data file type flag (1 is ZEBRA)
c                                                      (2 is EPIO)
c                      i  2= logical unit for data file reading
c
c npass   n_pass       i  1= number of analysis passes (<4)
c
c nevtm   n_evtmax     i  1= maximum number of events to analyse per pass
c
c runpd   irunpd       i  1= 1 may96 run period
c                         1= 2 jul96 run period
c                         1= 3 sep96 run period
c                         1= 4 feb97 run period (technical)
c                         1= 5 may97 run period
c                         1= 6 oct97 run period
c                         1= 7 apr98 run period
c
c mkped   mk_ped       i  1= 1 make peds for each event only
c                         1= 2 make peds over all events only
c                         1= 3 both methods, but prefer for each event
c                         1= 4 both methods, but prefer over all events
c                         1<=0 do not make peds
c         nt_ped       i  2= first time sampling (meaningful if irunpd>3)
c                      i  3= last time sampling  (meaningful if irunpd>3)
c         sc_ped       r  4= sigma cut for peds production (for over all events)
c                            if <= 0, then no cut and only one pass is used
c         tr_ped       i  5= 1 use random trigger events only (automatic if irunpd<4)
c                         5= 2 use pretrigger
c                         5<=0 use all triggers
c         io_ped       i  6= read pedestal file flag    (>0 = read ped)
c                      i  7= logical unit for pedestal file reading
c                      i  8= output pedestal file flag  (>0 = write ped)
c                      i  9= logical unit for pedestal file writing
c
c mkcub   mk_cub       i  1= find adc max using simple cubic fit (>0 = enable)
c         sc_cub       r  2= sigma cut above which the cubic fit is used (<0 = disable)
c         tm_cub       i  3= time slice number used if cubic fit not used
c         fl_cub       i  4= restrict peak finding time range flag (>0 = enable)
c         t1_cub       i  5= min time slice for restricted peak search (if activated)
c         t2_cub       i  6= max time slice for restricted peak search (if activated)
c
c mpref   m_pref       i  1= prefered adc max finding package
c                            if more than one adc max finding package
c                            is enabled, this card determines the
c                            package that will be used to fill the
c                            generic adc max common (see hec_max.inc)
c                         1= 1  for simple cubic fit
c                         1= 2  for electronic response fit (not yet implemented)
c                         1= 3  for Cleland method          (not yet implemented)
c
c mkhis   mk_his       i  1= system histograms flag     (>0 = make his)
c         io_his       i  2= logical unit for system histogram file writing
c         his_srch_flg i  3= do/don't (1/0) use search algorithm to determine
c                            which cells will fill histogram
c
c hiscon  histo_switch i  1= do/don't (1/0) produce pedestal and noise histograms 
c                      i  2= do/don't (1/0) produce geometrical energy distribution histograms
c                      i  3= do/don't (1/0) produce uncorrected adc histograms 
c                      i  4= do/don't (1/0) produce tdc corrected histograms 
c                      i  5= do/don't (1/0) produce calibrated histograms 
c
c iocal   io_cal       i  1= read calibration file flag (>0 = read cal)
c                      i  2= logical unit for calibration file reading
c
c rrunh   run_no_cr    i  1= correct run number (if <0, ignore)
c         e_beam_cr    r  2= correct beam energy(if <0, ignore)
c         i_part_cr    i  3= correct beam particle type(if <0, ignore)
c         x_cryo_cr    r  4= correct x-position (mm) of cryostat
c                            (if >10000, ignore)
c         y_tabl_cr    r  5= correct y-position (mm) of MWPC moveable table
c                            (if >10000, ignore)
c
c beamc   mk_beam      i  1= beam chamber reconstruction on/off (1/0)
c         z_beam       r  2= z-coordinate (cm) (along beam), at which lateral
c                            (x,y)-coordinates of beam should be calculated
c         hpr_beam     i  3= beam histograms print flag (print, if .ne.0 
c                            and if mkhis flag is on)
c         io_beam      i  4= logical unit for alignment constants reading
c                         5= logical unit for alignment constants writing
c
c mkcrl   mk_crl       i  1= turn channel/time correlation on (>0 = make correlations)
c         io_crl       i  2= logical unit number for crl histo output
c
c search  hec_s_dk     i  1= search algorithms:<0= search package disabled
c                                               0= dummy search
c                                               1= standard search (D. Striegel)
c                                               2= (0) could be replaced by user
c                                                  subroutine hec_search_user
c                         The following values are for the standard algorithm
c         hec_s_dstart i  2= timeslice to start searching
c         hec_s_dstop  i  3= timeslice to stop searching
c         hec_s_dtcmp  i  4= number of slices to compare (3, 5, 7)
c         hec_s_dmc    l  5= apply a cut on maximum
c         hec_s_dlvl   r  6= level of the cut
c
c mkntp   mk_ntp       i  1= output standard ntuple (1=yes,0=no)
c         io_ntp       i  2= logical unit number of ntuple file
c         sigma_ntp    r  3= number of rms's used in cell cut
c
c online  auto_run     i  1= activate script-controlled online mode (1 = yes)
c                      i  2= run number fed from UNIX script
c
      integer run_mode
      integer in_typ(2)
      integer n_pass
      integer n_evtmax
      integer irunpd
      integer mk_ped
      integer nt_ped(2)
      real    sc_ped
      integer tr_ped
      integer io_ped(4)
      integer mk_cub
      real    sc_cub
      integer tm_cub, fl_cub, t1_cub, t2_cub
      integer m_pref
      integer mk_his, io_his, his_srch_flg
      integer histo_switch(5)
      integer io_cal(2)
      integer run_no_cr
      real    e_beam_cr
      integer i_part_cr
      real    x_cryo_cr
      real    y_tabl_cr
      integer mk_beam
      real    z_beam
      integer hpr_beam
      integer io_beam(2)
      integer mk_crl
      integer io_crl
      integer hec_s_dk
      real    hec_s_algo(5)
      integer mk_ntp, io_ntp
      real sigma_ntp
      integer auto_run, auto_rnnum
c
      common /sssdat/ run_mode,
     +                in_typ,
     +                n_pass,
     +                n_evtmax,
     +                irunpd,
     +                mk_ped, nt_ped, sc_ped, tr_ped, io_ped,
     +                mk_cub, sc_cub, tm_cub, fl_cub, t1_cub, t2_cub,
     +                m_pref,
     +                mk_his, io_his, his_srch_flg,
     +                histo_switch,
     +                io_cal,
     +                run_no_cr, e_beam_cr, i_part_cr,
     +                  x_cryo_cr, y_tabl_cr,
     +                mk_beam,z_beam, hpr_beam, io_beam,
     +                mk_crl, io_crl,
     +                hec_s_dk, hec_s_algo,
     +                mk_ntp, io_ntp, sigma_ntp,
     +                auto_run, auto_rnnum
c

