      subroutine hec_geo
c
c fill geometry correspondence tables for adc channels
c see hec_geo.inc for details on the various systems
c
c - tables relating the adc channel number system (ic)
c                to the database system (db)
c
c - tables relating the adc channel number system (ic)
c                to the physics system (ph)
c 
c original  July 96
c 13/02/97  M. Lefebvre  correct for Sept 96 new electronics cabling
c 19/03/97  M. Lefebvre  include steering for different run periods
c 10/05/97  M.L.  D.O.   include run period 5
c 19/10/97  D.O.         include run period 6
c 28/03/98  D.O.         include run period 7
c
      implicit none
c
c user datacard values common
c
      include'hec_datacard.inc'
c
c check beam period 
c fill database and physics system correspondence tables
c
      if (irunpd .eq. 1) then
        call hec_geo_may96
      elseif (irunpd .eq. 2) then
        call hec_geo_jul96
      elseif (irunpd .eq. 3) then
        call hec_geo_sep96
      elseif (irunpd .eq. 4) then
        call hec_geo_feb97
      elseif (irunpd .eq. 5) then
        call hec_geo_may97
      elseif (irunpd .eq. 6) then
        call hec_geo_oct97
      elseif (irunpd .eq. 7) then
        call hec_geo_apr98
      else
        print *,' *** invalid beam period', irunpd
        stop
      endif
c
      end
        
