      subroutine hec_ntuple_evt1
c
c pass 1 standard ntuples filling event routine
c
      implicit none
c
      include'hec_par.inc'      ! parameters used in other includes
      include'hec_adc.inc'      ! adc values
      include'hec_cal.inc'      ! calibrated energies common
      include'hec_datacard.inc' ! common for datacard values
      include'hec_evth.inc'     ! event header common
      include'hec_geo.inc'      ! geometry correspondence tables common
      include'hec_his_sys.inc'  ! system histogram id common
      include'hec_max.inc'      ! max adc and time values common
      include'hec_ntuple.inc'   ! ntuple common
      include'hec_ped.inc'      ! pedestal values common
      include'hec_search.inc'   ! search common
      include'hec_tdc.inc'      ! tdc common
      include'hec_trig.inc'     ! trigger common
c
      integer i,ic, icount
      integer cell_list(i_adc_dim),current_cell
c
c call pedestal event routine and prefered pedestal filling
c
      call hec_ped_evt
      call hec_ped_fill
c
c check cell energy, if it is above threshold, keep it in a list of 
c "interesting" cells, else throw it away. Also count "interesting" cells.
c.
      icount = 0.
      do ic = 1, i_adc_used
        if ( sigma_ntp .eq. 0. .or. adc_max_ic(ic,1) .gt. 
     +        (adc_ped(ic) + sigma_ntp*adc_rms(ic))) then
          icount = icount + 1
          cell_list(icount) = ic
        endif
      enddo
c
c do over all "interesting" adc channels 
c
      nt_cells_used = icount
      nt_evntno = i_event
      do i = 1, nt_cells_used
c
c fill ntuple variables for adc max, time max and pedestal
c
        current_cell = cell_list(i)
        nt_ic_index(i) = current_cell
        nt_adcmx(i) = adc_max_ic(current_cell,1)
        nt_timmx(i) = adc_max_ic(current_cell,2)
        nt_pedest(i) = adc_ped(current_cell)
        nt_ped_rms(i) = adc_rms(current_cell)
        nt_chflag(i) = hec_s_chan(current_cell)
c
c if calibration is turned on, fill ntuple with energy
c
        if (io_cal(1) .ge. 1) then
          nt_ene(i) = hec_cal_ic(current_cell)
        else
          nt_ene(i) = 0.
        endif      
c
c add z of included cell
c
        nt_iz(i) = ictoph(current_cell,3)
c
      enddo
c
c fill ntuple variable with trigger value
c
      do i = 1, 5
        nt_trig(i) = .false.
      enddo
c
      nt_trig(1) = trig_physics 
      nt_trig(2) = trig_e
      nt_trig(3) = trig_mu
      nt_trig(4) = trig_pi
      nt_trig(5) = trig_random.or.trig_random_hard
c
c fill ntuple
c
      call hfnt(102)
c
      return
      end







