      subroutine hec_online
c
c perform online analysis
c
      implicit none
c
c user datacard values common
c
      include'hec_datacard.inc' ! datacard values
      include'hec_online.inc'   ! online common
c
c enter online mode if requested
c
      if (run_mode .ne. 2) return
c
      print *, ' *** starting online analysis'
c
c initialize for online running
c
      call hec_online_ini
c
c start main menu (prompt user for run number to analyze)
c
      irun = -1
c
      do while (irun .ne. 0)
c
c get file name to analyze and check for its existence
c
        call hec_online_getfile
c
c if file found, start hec_adc analysis
c
        if (runfile .and. irun .ne. 0) then
c
          print *, ' *** Found data file ',infname, 
     +             ' starting analysis'
c
c initialize arrays for this run
c
          call hec_online_run_ini
c
c get trigger request from user (what do they want to see)
c
          call hec_online_gettrig
c
c in order to book histograms run header info is needed
c make a quick pass to get it
c
          call hec_runh_pass
c
c book online histograms that are filled event by event
c
ccc          call hec_online_book_ini
          call hec_his_ini
c
c pass over data
c
          call hec_online_pass1
c
c open online histogram file and allow viewing of histos
c
          call hec_online_hisview
c
          call hec_online_ter
c
        endif
c
c if program is in "autorun" mode, do not request more than one consecutive
c run, the controlling script will do that for you
c
        if (auto_run .ge. 1) then
          irun = 0
        endif
c
      enddo
c
      end
      


